﻿using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Entities;

namespace MTWorkHR.Infrastructure.Configurations
{
    public class OrderTypeConfiguration : IEntityTypeConfiguration<OrderType>
    {
        
        public void Configure(EntityTypeBuilder<OrderType> builder)
        {
            
            builder.HasData(
                new OrderType
                {
                    Id = 1,
                    NameEn = "Leave",
                    NameAr = "إذن",
                    DefaultDays = 2
                },
                 
                new OrderType
                {
                    Id = 2,
                    NameEn = "Overtime",
                    NameAr = "وقت إضافي",
                    DefaultDays = 20
                },
                new OrderType
                {
                    Id = 3,
                    NameEn = "Business trip", //(after closed from employee / manager)
                    NameAr = "رحلة عمل",
                    DefaultDays = 0

                },
                new OrderType
                {
                    Id = 4,
                    NameEn = "Course",
                    NameAr = "دورة تدريبية",
                    DefaultDays = 0
                }
                ,
                new OrderType
                {
                    Id = 5,
                    NameEn = "Service Certificate",
                    NameAr = "خدمة معتمده",
                    DefaultDays = 0
                }
                 ,
                new OrderType
                {
                    Id = 6,
                    NameEn = "Other",
                    NameAr = "أخرى",
                    DefaultDays = 0
                }
               ) ;
        }
    }
}