﻿using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Entities;
using Countries.NET.Database;
using System.Runtime.ConstrainedExecution;

namespace MTWorkHR.Infrastructure.Configurations
{
    public class SubscriptionLimitsConfiguration : IEntityTypeConfiguration<SubscriptionConfiguration>
    {

        public void Configure(EntityTypeBuilder<SubscriptionConfiguration> builder)
        {
            
            builder.HasData(
                new SubscriptionConfiguration {
                    Id = 1,
                    ContractDocumentationFees =0,
                    CreateDate = new DateTime(2025, 1,1),
                    DeductedFirstSearchAmount=0,
                    DistinguishedEmployeeCompanyFeesPerc=0,
                    DistinguishedEmployeePerc=0,
                    ExperienceCertificateFees=0,
                    FirstRegisterationCompanyFees=0,
                    MonthlyCompanyFees=0,
                    MonthlyEmployeeServicesCompanyFees=0,
                    OrdinaryEmployeePerc=0, 
                    RequestDisputeResolutionFees=0,
                    YearlyCompanyFees=0,
                    IsDeleted=false,
                    CreateUser = "ADMB3B92-2311-48F8-9DEC-F9FAEF1F21UA",
                }
            );
        }
    }
}