﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace MTWorkHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class rolePermissions : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 21L,
                columns: new[] { "CategoryName", "Desc", "Name", "Show" },
                values: new object[] { "User", "Company.Suspend", "Company.Suspend", false });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 22L,
                columns: new[] { "Desc", "Name", "Show" },
                values: new object[] { "User", "User", true });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 23L,
                columns: new[] { "Desc", "Name" },
                values: new object[] { "User.Create", "User.Create" });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 24L,
                columns: new[] { "Desc", "Name" },
                values: new object[] { "User.Update", "User.Update" });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 25L,
                columns: new[] { "Desc", "Name", "Show" },
                values: new object[] { "User.Delete", "User.Delete", false });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 26L,
                columns: new[] { "Desc", "Name" },
                values: new object[] { "User.Suspend", "User.Suspend" });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 27L,
                columns: new[] { "Desc", "Name", "Show" },
                values: new object[] { "Role", "Role", true });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 28L,
                columns: new[] { "Desc", "Name" },
                values: new object[] { "Role.Create", "Role.Create" });

            migrationBuilder.InsertData(
                table: "Permissions",
                columns: new[] { "Id", "CategoryName", "Desc", "Name", "Show" },
                values: new object[,]
                {
                    { 29L, "Adminstration", "Role.Update", "Role.Update", false },
                    { 30L, "Adminstration", "Role.Delete", "Role.Delete", false },
                    { 31L, "Adminstration", "Attendance", "Attendance", true },
                    { 32L, "Adminstration", "Attendance.Create", "Attendance.Create", false },
                    { 33L, "Adminstration", "Attendance.Update", "Attendance.Update", false },
                    { 34L, "Adminstration", "Attendance.Delete", "Attendance.Delete", false },
                    { 35L, "Adminstration", "Contract", "Contract", true },
                    { 36L, "Adminstration", "Contract.Create", "Contract.Create", false },
                    { 37L, "Adminstration", "Contract.Update", "Contract.Update", false },
                    { 38L, "Adminstration", "Contract.Delete", "Contract.Delete", false },
                    { 39L, "Adminstration", "OrderAllocation", "OrderAllocation", true },
                    { 40L, "Adminstration", "OrderAllocation.Create", "OrderAllocation.Create", false },
                    { 41L, "Adminstration", "OrderAllocation.Update", "OrderAllocation.Update", false },
                    { 42L, "Adminstration", "OrderAllocation.Delete", "OrderAllocation.Delete", false },
                    { 43L, "Adminstration", "OrderRequest", "OrderRequest", true },
                    { 44L, "Adminstration", "OrderRequest.Create", "OrderRequest.Create", false },
                    { 45L, "Adminstration", "OrderRequest.Update", "OrderRequest.Update", false },
                    { 46L, "Adminstration", "OrderRequest.Delete", "OrderRequest.Delete", false }
                });

            migrationBuilder.InsertData(
                table: "RolePermissions",
                columns: new[] { "Id", "PermissionId", "PermissionName", "RoleId" },
                values: new object[,]
                {
                    { 1L, 1L, "Project", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 2L, 2L, "Project.Create", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 3L, 3L, "Project.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 4L, 4L, "Project.Delete", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 5L, 5L, "Meeting", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 6L, 6L, "Meeting.Create", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 7L, 7L, "Meeting.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 8L, 8L, "Meeting.Delete", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 9L, 9L, "Team", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 10L, 10L, "Team.Create", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 11L, 11L, "Team.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 12L, 12L, "Team.Delete", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 13L, 13L, "UserTask", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 14L, 14L, "UserTask.Create", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 15L, 15L, "UserTask.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 16L, 16L, "UserTask.Delete", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 17L, 17L, "Company", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 18L, 18L, "Company.Create", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 19L, 19L, "Company.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 20L, 22L, "User", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 21L, 23L, "User.Create", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 22L, 24L, "User.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 23L, 27L, "Role", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 24L, 28L, "Role.Create", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 43L, 17L, "Company.GetAll", "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A" },
                    { 44L, 20L, "Company.Delete", "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A" },
                    { 45L, 21L, "Company.Suspend", "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A" },
                    { 46L, 22L, "User.GetAll", "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A" },
                    { 47L, 25L, "User.Delete", "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A" },
                    { 48L, 26L, "User.Suspend", "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A" },
                    { 49L, 1L, "Project", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 50L, 2L, "Project.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 51L, 3L, "Project.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 52L, 4L, "Project.Delete", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 53L, 5L, "Meeting", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 54L, 6L, "Meeting.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 55L, 7L, "Meeting.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 56L, 8L, "Meeting.Delete", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 57L, 9L, "Team", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 58L, 10L, "Team.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 59L, 11L, "Team.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 60L, 12L, "Team.Delete", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 61L, 13L, "UserTask", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 62L, 14L, "UserTask.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 63L, 15L, "UserTask.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 64L, 16L, "UserTask.Delete", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 65L, 17L, "Company", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 66L, 18L, "Company.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 67L, 19L, "Company.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 68L, 22L, "User", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 69L, 23L, "User.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 70L, 24L, "User.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 71L, 27L, "Role", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 72L, 28L, "Role.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 91L, 1L, "Project", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 92L, 2L, "Project.Create", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 93L, 3L, "Project.Update", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 94L, 4L, "Project.Delete", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 95L, 5L, "Meeting", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 96L, 6L, "Meeting.Create", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 97L, 7L, "Meeting.Update", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 98L, 8L, "Meeting.Delete", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 99L, 9L, "Team", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 100L, 10L, "Team.Create", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 101L, 11L, "Team.Update", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 102L, 12L, "Team.Delete", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 103L, 13L, "UserTask", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 104L, 14L, "UserTask.Create", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 105L, 15L, "UserTask.Update", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 106L, 16L, "UserTask.Delete", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 107L, 17L, "Company", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 108L, 18L, "Company.Create", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 109L, 19L, "Company.Update", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 110L, 22L, "User", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 111L, 23L, "User.Create", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 112L, 24L, "User.Update", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 113L, 27L, "Role", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 114L, 28L, "Role.Create", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 25L, 29L, "Role.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 26L, 30L, "Role.Delete", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 27L, 31L, "Attendance", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 28L, 32L, "Attendance.Create", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 29L, 33L, "Attendance.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 30L, 34L, "Attendance.Delete", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 31L, 35L, "Contract", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 32L, 36L, "Contract.Create", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 33L, 37L, "Contract.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 34L, 38L, "Contract.Delete", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 35L, 39L, "OrderAllocation", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 36L, 40L, "OrderAllocation.Create", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 37L, 41L, "OrderAllocation.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 38L, 42L, "OrderAllocation.Delete", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 39L, 43L, "OrderRequest", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 40L, 44L, "OrderRequest.Create", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 41L, 45L, "OrderRequest.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 42L, 46L, "OrderRequest.Delete", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 73L, 29L, "Role.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 74L, 30L, "Role.Delete", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 75L, 31L, "Attendance", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 76L, 32L, "Attendance.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 77L, 33L, "Attendance.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 78L, 34L, "Attendance.Delete", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 79L, 35L, "Contract", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 80L, 36L, "Contract.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 81L, 37L, "Contract.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 82L, 38L, "Contract.Delete", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 83L, 39L, "OrderAllocation", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 84L, 40L, "OrderAllocation.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 85L, 41L, "OrderAllocation.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 86L, 42L, "OrderAllocation.Delete", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 87L, 43L, "OrderRequest", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 88L, 44L, "OrderRequest.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 89L, 45L, "OrderRequest.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 90L, 46L, "OrderRequest.Delete", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 115L, 29L, "Role.Update", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 116L, 30L, "Role.Delete", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 117L, 31L, "Attendance", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 118L, 32L, "Attendance.Create", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 119L, 33L, "Attendance.Update", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 120L, 34L, "Attendance.Delete", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 121L, 35L, "Contract", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 122L, 36L, "Contract.Create", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 123L, 37L, "Contract.Update", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 124L, 38L, "Contract.Delete", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 125L, 39L, "OrderAllocation", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 126L, 40L, "OrderAllocation.Create", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 127L, 41L, "OrderAllocation.Update", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 128L, 42L, "OrderAllocation.Delete", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 129L, 43L, "OrderRequest", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 130L, 44L, "OrderRequest.Create", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 131L, 45L, "OrderRequest.Update", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" },
                    { 132L, 46L, "OrderRequest.Delete", "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110" }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 1L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 2L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 3L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 4L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 5L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 6L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 7L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 8L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 9L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 10L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 11L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 12L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 13L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 14L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 15L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 16L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 17L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 18L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 19L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 20L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 21L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 22L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 23L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 24L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 25L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 26L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 27L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 28L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 29L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 30L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 31L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 32L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 33L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 34L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 35L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 36L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 37L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 38L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 39L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 40L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 41L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 42L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 43L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 44L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 45L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 46L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 47L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 48L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 49L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 50L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 51L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 52L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 53L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 54L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 55L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 56L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 57L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 58L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 59L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 60L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 61L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 62L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 63L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 64L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 65L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 66L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 67L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 68L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 69L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 70L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 71L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 72L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 73L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 74L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 75L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 76L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 77L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 78L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 79L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 80L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 81L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 82L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 83L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 84L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 85L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 86L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 87L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 88L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 89L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 90L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 91L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 92L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 93L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 94L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 95L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 96L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 97L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 98L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 99L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 100L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 101L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 102L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 103L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 104L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 105L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 106L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 107L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 108L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 109L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 110L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 111L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 112L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 113L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 114L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 115L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 116L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 117L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 118L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 119L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 120L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 121L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 122L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 123L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 124L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 125L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 126L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 127L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 128L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 129L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 130L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 131L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 132L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 29L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 30L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 31L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 32L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 33L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 34L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 35L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 36L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 37L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 38L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 39L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 40L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 41L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 42L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 43L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 44L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 45L);

            migrationBuilder.DeleteData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 46L);

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 21L,
                columns: new[] { "CategoryName", "Desc", "Name", "Show" },
                values: new object[] { "Adminstration", "User", "User", true });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 22L,
                columns: new[] { "Desc", "Name", "Show" },
                values: new object[] { "User.Create", "User.Create", false });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 23L,
                columns: new[] { "Desc", "Name" },
                values: new object[] { "User.Update", "User.Update" });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 24L,
                columns: new[] { "Desc", "Name" },
                values: new object[] { "User.Delete", "User.Delete" });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 25L,
                columns: new[] { "Desc", "Name", "Show" },
                values: new object[] { "Role", "Role", true });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 26L,
                columns: new[] { "Desc", "Name" },
                values: new object[] { "Role.Create", "Role.Create" });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 27L,
                columns: new[] { "Desc", "Name", "Show" },
                values: new object[] { "Role.Update", "Role.Update", false });

            migrationBuilder.UpdateData(
                table: "Permissions",
                keyColumn: "Id",
                keyValue: 28L,
                columns: new[] { "Desc", "Name" },
                values: new object[] { "Role.Delete", "Role.Delete" });
        }
    }
}
